## ngcp-kamailio 6.0.3

=== debian/changelog ===
ngcp-kamailio (6.0.3-1+0~mr13.5.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 02 Oct 2025 10:53:30 +0200

ngcp-kamailio (6.0.3-1+0~mr13.5.1.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [95442ba] New upstream version 6.0.3

 -- Donat <dzenichev@sipwise.com>  Thu, 02 Oct 2025 09:05:03 +0200

ngcp-kamailio (6.0.2-1+0~mr13.5.1.0) unstable; urgency=medium

  [ Fabricio Santolin da Silva ]
  * [9df884d] Revert "MT#63079 Add check for avp name initialization"

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:43:55 +0200

ngcp-kamailio (6.0.2-1+0~mr13.5.0.0) unstable; urgency=medium

  * MT#55283 enable TLS debugging
  * MT#63079 Add check for avp name initialization
  * New upstream version 6.0.2
  * MT#63077 Remove already applied upstream patches and refresh old ones

 -- donat <dzenichev@sipwise.com>  Mon, 07 Jul 2025 17:35:25 +0200

ngcp-kamailio (6.0.1-1+0~mr13.5.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [84e2565] MT#62704 fix PARAM_STR vs PARAM_STRING

  [ Victor Seva ]
  * [998899a] MT#62911 permissions: don't allow reloads in the middle of a reload
  * [c970a3b] MT#62845 sca: fix coredump on update

  [ Alessio Garzi ]
  * [77dff8f] MT#62931 Append marking for removal to etag in presentity table

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:43:01 +0200

ngcp-kamailio (6.0.1-1+0~mr13.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [387078e] MT#62337 update PARAM definition for our modules
  * [069eaac] MT#62337 presence_dfks: fix missing definition
  * [2666f63] MT#62041 lcr_rate: coherent use of defined types for avp flags, name and value

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:27:06 +0200

ngcp-kamailio (6.0.1-1+0~mr13.3.0.0) unstable; urgency=medium

  * MT#62041 trixie build: fixes from 'upstream'
  * MT#62023 htable: don't crash on missing htable definition
  * MT#61402 dialog fixes from upstream/master
  * New upstream version 6.0.1
  * MT#62337 remove already applied patches and refresh
  * MT#62337 debian: remove mono package

 -- Victor Seva <vseva@debian.org>  Tue, 11 Mar 2025 10:00:14 +0100

ngcp-kamailio (5.8.5-1+0~mr13.2.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [e527845] MT#61441 rtpengine: use to-tag for NG message when rtpp-flags

  [ Guillem Jover ]
  * [f17ae9c] MT#61568 debian: Switch to Rules-Requires-Root no

  [ Victor Seva ]
  * [66cbf83] MT#61441 rtpengine: use upstream commit from master
  * [0fc9703] MT#61703 usrloc: avoid shutdown crashes on destroy
  * [23a581e] MT#61651 db_redis: fix build_query_keys logic
  * [4de99b7] MT#61980 New upstream version 5.8.5
  * [c3c1177] MT#61980 remove already applied fixes, and refresh

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 27 Jan 2025 11:10:52 +0100

ngcp-kamailio (5.8.4-1+0~mr13.1.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * MT#61110 cfgutils: allow lock_set_size > 14
  * MT#60205 http_client: support more methods in http_connect()
  * MT#61537 New upstream version 5.8.4
  * MT#61537 refresh patches

  [ Richard Fuchs ]
  * MT#61372 rtpengine: add SIP-code to message

 -- Victor Seva <vseva@debian.org>  Fri, 15 Nov 2024 10:21:07 +0100

ngcp-kamailio (5.8.3-1+0~mr13.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 09:59:13 +0200

ngcp-kamailio (5.8.3-1+0~mr13.0.0.0) unstable; urgency=medium

  * MT#60281 tls: remove confusing error on startup
  * MT#60394 dialog: be less verbose on error at dlg_get_var()
  * MT#60312 remove mysql warnings
  * MT#58547 lcr_rate: use gw_id field from gw_uri_avp for load_peers()
  * MT#60312 remove pcre2_free() warnings
  * MT#55401 pua and pua_dialoginfo improvements
  * MT#60852 New upstream version 5.8.3
  * MT#60852 remove already applied fixes from 5.8
  * MT#60852 refresh patches

 -- Victor Seva <vseva@debian.org>  Wed, 04 Sep 2024 13:09:39 +0200

ngcp-kamailio (5.8.2-1+0~mr12.5.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * MT#57764 permissions: add func `allow_register_include_port()`
  * MT#57764 permissions: add upstream patch

  [ Victor Seva ]
  * MT#59833 pcre3 => pcre2 migration
  * MT#59738 cfgtutils: expose second optional str for locks
  * MT#59738 cfgtutils: fix optional key initialization
  * MT#60206 dialplan: remove warning
  * New upstream version 5.8.2
  * MT#60312 remove already applied patches

  [ Richard Fuchs ]
  * MT#55283 rtpe: use extract_body with read_sdp_pv

 -- Victor Seva <vseva@debian.org>  Thu, 13 Jun 2024 09:19:15 +0200

ngcp-kamailio (5.8.1-1+0~mr12.4.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * MT#58535 rtpp_flags: add flags processing on the daemon side

  [ Victor Seva ]
  * New upstream version 5.8.1
  * MT#59833 refresh patches

 -- Victor Seva <vseva@debian.org>  Tue, 09 Apr 2024 13:02:04 +0200

ngcp-kamailio (5.7.4-1+0~mr12.3.0.0) unstable; urgency=medium

  * New upstream version 5.7.4
  * MT#59178 remove already applied patches
  * [db24302] MT#58875 include tlsa module on tls package
  * [b50f17c] MT#58722 don't execute timers on shutdown phase
  * [5cce2f8] MT#58875 tls fixes from upstream 5.7 branch
  * [901ea7a] MT#58875 tls fixes from upstream 5.7 branch, take two

 -- Victor Seva <vseva@debian.org>  Thu, 18 Jan 2024 15:03:09 +0100

ngcp-kamailio (5.7.3-1+0~mr12.2.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [1bd3687] MT#58795 refresh patches
  * [4df060d] MT#58795 fix sipwise/usrloc_dbro_pinger.patch
  * [4d4aa39] MT#58732 http_client timeout_mode

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:36:14 +0100

ngcp-kamailio (5.7.3-1+0~mr12.1.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * MT#56847 presence: active_watcher cleanup timer
  * MT#58408 pv_headers: don't fallback to Request headers at Replay msg
  * MT#58627 presence_vqr
  * MT#58587 dialog: dlg_get_ttag("<callid>", "<from-tag>", "<pv_dst>")

