=== debian/control ===
Source: ngcp-kamailio
Section: net
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Rules-Requires-Root: no
Build-Depends:
 bison,
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 docbook-xml,
 dpkg-dev (>= 1.16.1.1),
 erlang-dev,
 flex,
 libconfuse-dev,
 libcurl4-openssl-dev,
 libdb-dev (>= 4.6.19),
 libev-dev,
 libevent-dev,
 libexpat1-dev,
 libhiredis-dev (>= 0.10.0),
 libical-dev,
 libjansson-dev,
 libjson-c-dev,
 libldap2-dev,
 liblua5.1-0-dev,
 libmaxminddb-dev,
 libmemcached-dev,
 libmnl-dev,
 libmosquitto-dev,
 libncurses5-dev,
 libpcre2-dev,
 libperl-dev,
 libpq-dev,
 librabbitmq-dev,
 libradcli-dev,
 libreadline-dev,
 libsasl2-dev,
 libsctp-dev [linux-any],
 libsecsipid-dev,
 libsnmp-dev,
 libsqlite3-dev,
 libssl-dev,
 libsystemd-dev,
 libunistring-dev,
 libwebsockets-dev,
 libxml2-dev,
 ngcp-libswrate-dev (>= 1.1.2+0~1364315461.svn13284.127),
 ngcp-libtcap-dev,
 openssl,
 pkg-config,
 python3,
 python3-dev,
 unixodbc-dev,
 uuid-dev,
 xsltproc,
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://www.kamailio.org/
Vcs-git: https://anonscm.debian.org/git/pkg-voip/kamailio.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-voip/kamailio.git

Package: ngcp-kamailio
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio,
Replaces:
 kamailio,
 ngcp-kamailio-carrierroute-modules,
Suggests:
 ngcp-kamailio-berkeley-modules,
 ngcp-kamailio-cpl-modules,
 ngcp-kamailio-ldap-modules,
 ngcp-kamailio-lua-modules,
 ngcp-kamailio-mysql-modules,
 ngcp-kamailio-perl-modules,
 ngcp-kamailio-postgres-modules,
 ngcp-kamailio-presence-modules,
 ngcp-kamailio-python3-modules,
 ngcp-kamailio-radius-modules,
 ngcp-kamailio-redis-modules,
 ngcp-kamailio-snmpstats-modules,
 ngcp-kamailio-tls-modules,
 ngcp-kamailio-unixodbc-modules,
 ngcp-kamailio-xml-modules,
 ngcp-kamailio-xmpp-modules,
 stun-server | turn-server,
Breaks:
 ngcp-kamailio-carrierroute-modules,
Provides:
 ngcp-kamailio-carrierroute-modules,
 sip-router,
Description: very fast and configurable SIP proxy
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 C Shell-like scripting language provides full control over the server's
 behaviour. Its modular architecture allows only required functionality to be
 loaded.
 .
 This package contains the main Kamailio binary along with the principal
 modules and support binaries.

Package: ngcp-kamailio-geoip2-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-geoip-modules,
 kamailio-geoip2-modules,
 ngcp-kamailio-geoip-modules,
Replaces:
 kamailio-geoip-modules,
 kamailio-geoip2-modules,
 ngcp-kamailio-geoip-modules,
Description: contains the geoip2 module
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the geoip2 module, an extension allowing to
 use GeoIP API within configuration file.

Package: ngcp-kamailio-sqlite-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 sqlite3,
Conflicts:
 kamailio-sqlite-modules,
Replaces:
 kamailio-sqlite-modules,
Description: SQLite database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SQLite database driver for Kamailio.

Package: ngcp-kamailio-json-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-json-modules,
Replaces:
 kamailio-json-modules,
Description: Json parser and jsonrpc modules for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides json parser for Kamailio's configuration file
 and the JSON-RPC client over netstrings.

Package: ngcp-kamailio-memcached-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-memcached-modules,
Replaces:
 kamailio-memcached-modules,
Description: interface to memcached server
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the memcached module, an interface to the memcached
 server, a high-performance, distributed memory object caching system.

Package: ngcp-kamailio-lua-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-lua-modules,
Replaces:
 kamailio-lua-modules,
Description: contains the app_lua module
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_lua module, an extension allowing to
 execute embedded Lua applications within configuration file.

Package: ngcp-kamailio-python3-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 python3-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-python-modules,
 kamailio-python3-modules,
Replaces:
 kamailio-python-modules,
 kamailio-python3-modules,
Description: contains the app_python3 module
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_python3 module, an extension allowing to
 execute embedded Python applications within configuration file.

Package: ngcp-kamailio-redis-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-redis-modules,
Replaces:
 kamailio-redis-modules,
Description: Redis database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the Redis NOSQL database driver for Kamailio.

Package: ngcp-kamailio-mysql-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 mariadb-client | virtual-mysql-client,
 ngcp-kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-mysql-modules,
Replaces:
 kamailio-mysql-module,
Description: MySQL database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the MySQL database driver for Kamailio.

Package: ngcp-kamailio-postgres-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 postgresql-client,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-postgres-modules,
Replaces:
 kamailio-postgres-module,
Description: PostgreSQL database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the PostgreSQL database driver for Kamailio.

Package: ngcp-kamailio-cpl-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-cpl-modules,
Replaces:
 kamailio-cpl-module,
Description: CPL module (CPL interpreter engine) for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a CPL (Call Processing Language) interpreter for
 Kamailio, turning Kamailio into a CPL server (storage and interpreter).

Package: ngcp-kamailio-radius-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-radius-modules,
Replaces:
 kamailio-radius-modules,
Description: RADIUS modules for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a set of RADIUS modules for Kamailio, for
 authentication, peering, group membership and messages URIs checking against
 a RADIUS server.

Package: ngcp-kamailio-unixodbc-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-unixodbc-modules,
Replaces:
 kamailio-unixodbc-modules,
Description: unixODBC database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the unixODBC database driver for Kamailio.

Package: ngcp-kamailio-presence-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-presence-modules,
Replaces:
 kamailio-presence-modules,
Description: SIMPLE presence modules for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides several Kamailio modules for implementing presence
 server and presence user agent for RICH presence, registrar-based presence,
 external triggered presence and XCAP support.

Package: ngcp-kamailio-perl-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 kamailio-perl-modules,
Conflicts:
 kamailio-perl-modules,
Description: Perl extensions and database driver for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides an interface for Kamailio to write Perl extensions and
 the perlvdb database driver for Kamailio.

Package: ngcp-kamailio-snmpstats-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ngcp-kamailio (= ${binary:Version}),
 snmpd,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kamailio-snmpstats-modules,
Replaces:
 kamailio-snmpstats-modules,
Description: SNMP AgentX subagent module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the snmpstats module for Kamailio. This module acts
 as an AgentX subagent which connects to a master agent.

Package: ngcp-kamailio-xmpp-modules
Architecture: any
